Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/segment_update
Segmenten

Segment bijwerken

Werkt de identiteit, distributie en showcase van het segment bij.

PATCH/segments/{id}segments:write

Verzoek

idstring · pathResource-ID.verplicht
namestring · bodySegmentnaam.optioneel
slugstring · bodyPublieke slak.optioneel
descriptionstring · bodyBeschrijving.optioneel
store_namestring · bodyNaam winkelpui.optioneel
store_taglinestring · bodyZin uit het raam.optioneel
store_colorstring · bodyHoofdkleur.optioneel
auto_expandboolean · bodyMaakt automatische uitbreiding mogelijk.optioneel
distributionstring · bodyDistributiestrategie.optioneel
waitlistboolean · bodyActiveert wachtrij.optioneel

Voorbeeld

curl
curl -X PATCH 'https://achadu.com/api/v1/segments/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "slug": "string",
  "description": "string"
}'

Antwoord

200Operatie voltooid
4xxFout met code, bericht en request_id